---
title: "RunMigrations"
generated: true
---
<GenerationInfo sourceFile="packages/core/src/migrate.ts" sourceLine="40" packageName="@vendure/core" />

Runs any pending database migrations. See [TypeORM migration docs](https://typeorm.io/#/migrations)
for more information about the underlying migration mechanism.

```ts title="Signature"
function runMigrations(userConfig: Partial<VendureConfig>): Promise<string[]>
```
Parameters

### userConfig

<MemberInfo kind="parameter" type={`Partial<<a href='/reference/typescript-api/configuration/vendure-config#vendureconfig'>VendureConfig</a>>`} />

